MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025439Community[OCCT] OCCT:Modeling Datapublic2014-10-31 16:372014-11-12 09:55
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025439: Enabling shape binary persistence without OCAF
DescriptionThe fix moves BinTools to TKBRep from TKBin.

In itself, BinTools provides binary persistence of topology and geometry, and is similar to BRepTools which provides textual persistence.
Although currently it is only used in OCAF binary persistence, binary shape persistence can be useful for OCAF-less user applications.

The increased file size of TKBRep should be negligible, approximately ~100KB in release mode.

From architectural standpoint BRepTools and BinTools would deserve a refactoring and having a common writer and two different formatters (text and binary), thus following the Builder pattern. Same for reader & parsers. This could reduce code duplication and size. But this is beyond this simple integration request just to put BinTools to TKBRep.
Additional information
and documentation updates
As no documentation or DRAW commands have been explicitly used for binary persistence of shapes, they are not affected within the scope of this change request. This can be done later if needed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0033963)
git (administrator)
2014-10-31 16:42

Branch CR25439 has been created by Roman Lygin.

SHA-1: 5548f683c65a19c27fd9f05d0d17a8fd23e869d9


Detailed log of new commits:

Author: Roman Lygin
Date: Fri Oct 31 16:40:03 2014 +0400

    0025439: Enabling shape binary persistence without OCAF
(0033964)
Roman Lygin (developer)
2014-10-31 16:42

The fix has been pushed to the git repository.
(0033965)
abv (manager)
2014-10-31 16:45

No remarks, please check build and integrate
(0033991)
git (administrator)
2014-10-31 19:35

Branch CR25439 has been updated forcibly by apv.

SHA-1: 76fc993be6922cdffc546ac274f4e47ba3501fd1
(0034026)
apv (tester)
2014-11-05 12:17

Dear BugMaster,

Branch CR25439 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 76fc993be6922cdffc546ac274f4e47ba3501fd1

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)
(0034348)
git (administrator)
2014-11-12 09:55

Branch CR25439 has been deleted by inv.

SHA-1: 76fc993be6922cdffc546ac274f4e47ba3501fd1

- Related Changesets
occt: master 2dc8b7cc
Timestamp: 2014-10-31 12:40:03
Author: Roman Lygin
Committer: bugmaster
Details ] Diff ]
0025439: Enabling shape binary persistence without OCAF
mod - src/TKBin/PACKAGES Diff ] File ]
mod - src/TKBRep/PACKAGES Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-31 16:37 Roman Lygin New Issue
2014-10-31 16:37 Roman Lygin Assigned To => abv
2014-10-31 16:42 git Note Added: 0033963
2014-10-31 16:42 Roman Lygin Note Added: 0033964
2014-10-31 16:42 Roman Lygin Status new => resolved
2014-10-31 16:45 abv Note Added: 0033965
2014-10-31 16:45 abv Assigned To abv => bugmaster
2014-10-31 16:45 abv Status resolved => reviewed
2014-10-31 16:56 mkv Assigned To bugmaster => apv
2014-10-31 17:17 apv Test case number => Not needed
2014-10-31 19:35 git Note Added: 0033991
2014-11-05 12:17 apv Note Added: 0034026
2014-11-05 12:17 apv Assigned To apv => bugmaster
2014-11-05 12:17 apv Status reviewed => tested
2014-11-06 16:15 bugmaster Changeset attached => occt master 2dc8b7cc
2014-11-06 16:15 bugmaster Status tested => verified
2014-11-06 16:15 bugmaster Resolution open => fixed
2014-11-11 12:42 user533 Fixed in Version => 6.8.0
2014-11-11 13:03 user533 Status verified => closed
2014-11-12 09:55 git Note Added: 0034348


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker